Subject: Re: [Cbe-oss-dev] [patch 1/5] cell: pmi remove support for mutiple devices.

From: Christian Krafft <[email-masked]>
Date: Fri, 22 Jun 2007 16:10:39 +0200

Hi,

On Thu, 21 Jun 2007 23:07:31 +0900
Akinobu Mita <[email-masked]> wrote:

> >  
> > -	kfree(dev->dev.driver_data);
> > +	kfree(data);
> 
> Shouldn't it set data = NULL here?
> 
> I guess we will get "pmi: driver has already been initialized" message
> and -EBUSY on reloading pmi driver.
> 
> >  
> >  	return 0;
> >  }

That problem did actually not occur.
Anyway, I added the line for completeness and consistency.

But while testing I found another bug that occurred when freeing the irq. The dev_id when requesting the irq was NULL,
but not when freeing the irq. I'm resending the patch as a reply to the first version.

-- 
Mit freundlichen Gruessen,
kind regards,

Christian Krafft
IBM Systems & Technology Group,
Linux Kernel Development
IT Specialist

Vorsitzender des Aufsichtsrats:	Martin Jetter
Geschaeftsfuehrung:		Herbert Kircher
Sitz der Gesellschaft:		Boeblingen
Registriergericht:		Amtsgericht Stuttgart, HRB 243294